-- ----------------------------
-- Table structure for RULES - 配置规则
-- Target   : SQLite
-- Author   : wangbing
-- Date:    : 2021-02-09
-- ----------------------------
CREATE TABLE IF NOT EXISTS NA_RULES (
    "ID" BIGINT PRIMARY KEY NOT NULL,
    "RULE_FOR" VARCHAR(20) NOT NULL,
    "RULE_TYPE" VARCHAR(50) NOT NULL,
    "RULE_TITLE" VARCHAR(100) NOT NULL,
    "RULE_NAME" VARCHAR(100) NOT NULL,
    "RULE_VALUE" VARCHAR(100) NOT NULL,
    "VALUE_DEFAULT" VARCHAR(100) NOT NULL,
    "VALUE_REGEX" VARCHAR(100) NOT NULL,
    "VALUE_MAX" MEDIUMINT NOT NULL,
    "RULE_NOTE" VARCHAR(500),
    "ROW_VERSION" BIGINT NOT NULL,
    "IS_DELETED" BOOLEAN NOT NULL,
    "CREATE_BY" BIGINT NOT NULL,
    "CREATE_TIME" DATETIME NOT NULL,
    "LAST_UPDATE_BY" BIGINT,
    "LAST_UPDATE_TIME" DATETIME
);
